## ntl 5.5.2

=== debian/changelog ===
ntl (5.5.2-2) unstable; urgency=low

  * add more optional symbols to avoid
    failure with g++-4.7 (Closes: 667300)
  * increase Standards-Version

 -- Bernhard R. Link <brlink@debian.org>  Tue, 15 May 2012 11:46:08 +0200

ntl (5.5.2-1) unstable; urgency=low

  * this is still a preview, but most likely already complete
  * moved to debian-science team as new maintainer
  - old uploader removed so no longer misspelled (Closes: 512636)

  [ Bernhard R. Link ]
  * upstream uses libtool with proper soname, so it's libntl0 now
  * repackage using plain debhelper instead of cdbs
  * "3.0 (quilt)" format source package
  * include documentation to -dev package (Closes: 585158)
  * add a symbols file

  [ Felix Salfelder ]
  * debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Sat, 11 Feb 2012 13:58:18 +0100

ntl (5.4.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.5 FTBFS on mips, due to old assembly constraints usage
    (Closes: #623162).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 09 May 2011 20:41:04 +0200

ntl (5.4.2-4) unstable; urgency=low

  * Fix a missing cstdio include that slipped by (Closes: #505142).
  * Update Standards-Version to 3.8.0.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 04 Jan 2009 15:09:44 -0500

ntl (5.4.2-3) unstable; urgency=low

  * Fix gcc-4.4 FTBFS from missing cstdio includes.  Thanks to Martin
    Michlmayr (Closes: #505142).

 -- Tim Abbott <tabbott@mit.edu>  Sun, 09 Nov 2008 22:17:32 -0500

ntl (5.4.2-2) unstable; urgency=low

  * Set priority to optional.
  * Provide more detailed copyright information.

 -- Tim Abbott <tabbott@mit.edu>  Tue, 17 Jun 2008 14:43:50 -0400

ntl (5.4.2-1) unstable; urgency=low

  * Initial release (Closes: #480096).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 27 May 2008 20:13:54 -0400
