=== debian/control ===
Source: ntl
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard R. Link <brlink@debian.org>, Lifeng Sun <lifongsun@gmail.com>, Felix Salfelder <felix@salfelder.org>
Build-Depends: debhelper (>= 8.1.3), libtool, libgmp-dev
Homepage: http://www.shoup.net/ntl/
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/libntl.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/libntl.git

Package: libntl0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Number Theory Library, shared library
 NTL is a high-performance, portable C++ library providing
 data structures and algorithms for manipulating signed,
 arbitrary length integers, and for vectors, matrices,
 and polynomials over the integers and over finite fields.
 .
 This package contains the NTL shared library.

Package: libntl-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libntl0 (= ${binary:Version})
Description: Number Theory Library, development files
 NTL is a high-performance, portable C++ library providing
 data structures and algorithms for manipulating signed,
 arbitrary length integers, and for vectors, matrices,
 and polynomials over the integers and over finite fields.
 .
 This package contains development files for NTL.
