## ntl 6.2.1

=== debian/changelog ===
ntl (6.2.1-1) unstable; urgency=low

  [Julien Puydt]
  * new upstream relase (Closes: 758006)
  * added myself to uploaders
  * upstream configure doesn't know about CFLAGS anymore
  * upstream's soname is now up to libntl5
  * build-depend on libtool-bin since that is what the build
    system uses (Closes: #761780)
  * remove the symbols file (it's a pain to keep up to date
    for ridiculous return on investment)
  * work on d/copyright

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 26 Aug 2014 16:04:40 +0200
