=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Bernhard R. Link <brlink@debian.org>, Lifeng Sun <lifongsun@gmail.com>, Felix Salfelder <felix@salfelder.org>
-Build-Depends: debhelper (>= 8.1.3), libtool, libgmp-dev
+Uploaders: Bernhard R. Link <brlink@debian.org>, Lifeng Sun <lifongsun@gmail.com>, Felix Salfelder <felix@salfelder.org>, Julien Puydt <julien.puydt@laposte.net>
+Build-Depends: debhelper (>= 9), libtool-bin, libgmp-dev
 Homepage: http://www.shoup.net/ntl/
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/libntl.git
-Vcs-Git: git://git.debian.org/git/debian-science/packages/libntl.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libntl.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/libntl.git
 
-Package: libntl0
+Package: libntl5
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -26,7 +26,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libntl0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libntl5 (= ${binary:Version})
 Description: Number Theory Library, development files
  NTL is a high-performance, portable C++ library providing
  data structures and algorithms for manipulating signed,
