=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
@@ -12,7 +11,6 @@
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-CFLAGS += -Wall -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith # -Wextra
 CXXFLAGS += -Wall
 
 build: build-arch-stamp
@@ -24,8 +22,7 @@
 include/NTL/con%ig.h src/src/m%ileout src/make%ile src/c%ileout: src/configure src/m%ile src/c%ile src/DoConfig
 	cd src && ./configure \
 		WIZARD=off SHARED=on \
-		CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
-		CPPFLAGS='$(CPPFLAGS)' LDFLAGS='' \
+		CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
 		DEF_PREFIX='/usr' \
 		NTL_GMP_LIP=on NTL_STD_CXX=on SHARED=on \
 		NTL_GF2X_LIB=off
@@ -71,6 +68,7 @@
 	dh_installexamples
 	dh_installdocs
 	dh_installman
+	dh_lintian
 	dh_link
 	dh_strip
 	dh_makeshlibs -V
