=== debian/watch ===
version=3
http://www.shoup.net/ntl/download.html \
  ntl-(.*)\.tar\.gz
