## ntl 9.9.1

=== debian/changelog ===
ntl (9.9.1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 16:37:58 +0100

ntl (9.9.1-3) unstable; urgency=medium

  * disable NATIVE to fix illegal instruction problems

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 06 Jul 2016 09:49:56 +0200

ntl (9.9.1-2) unstable; urgency=medium

  * upload to unstable for transition

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 03 Jul 2016 13:45:04 +0200

ntl (9.9.1-1) experimental; urgency=medium

  * new upstream release
  * rework d/copyright
  * upstream's soname is now up to libntl27

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 08 Jun 2016 14:54:19 +0200

ntl (9.9.0-1) experimental; urgency=medium

  * new upstream release
  * drop the MD5 patch (obsolete)
  * drop the sage callback patch (obsolete)
  * push standards-version up
  * rewrite Vcs-* fields (use https)
  * upstream's soname is now up to libntl26

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 01 Jun 2016 17:14:09 +0200
