=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Bernhard R. Link <brlink@debian.org>, Lifeng Sun <lifongsun@gmail.com>, Felix Salfelder <felix@salfelder.org>, Julien Puydt <julien.puydt@laposte.net>
 Build-Depends: debhelper (>= 9), libtool-bin, libgmp-dev
 Homepage: http://www.shoup.net/ntl/
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libntl.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/libntl.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libntl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libntl.git
 
-Package: libntl5
+Package: libntl27
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -26,7 +26,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libntl5 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libntl27 (= ${binary:Version})
 Description: Number Theory Library, development files
  NTL is a high-performance, portable C++ library providing
  data structures and algorithms for manipulating signed,
