=== debian/rules ===
--- 
+++ 
@@ -21,16 +21,19 @@
 # by one invocation, so this is a pattern rule...
 include/NTL/con%ig.h src/src/m%ileout src/make%ile src/c%ileout: src/configure src/m%ile src/c%ile src/DoConfig
 	cd src && ./configure \
-		WIZARD=off SHARED=on \
+		WIZARD=off SHARED=on NATIVE=off \
 		CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
 		DEF_PREFIX='/usr' \
-		NTL_GMP_LIP=on NTL_STD_CXX=on SHARED=on \
+		NTL_GMP_LIP=on SHARED=on \
 		NTL_GF2X_LIB=off
 
 include/NTL/mach_desc.h: src/makefile include/NTL/config.h src/cfileout
 	# TODO: better make that file static and check it is correct than
 	# generating it this way and perhaps miss something (extended doubles)
 	$(MAKE) -C src setup1
+
+src/GetPID.c: src/makefile
+	$(MAKE) -C src setup2
 
 src/GetTime.c:
 	# This should be the correct one:
@@ -43,7 +46,7 @@
 	$(MAKE) -C src setup3
 
 build-arch-stamp: src/makefile include/NTL/config.h src/cfileout \
-		include/NTL/mach_desc.h src/GetTime.c include/NTL/gmp_aux.h
+		include/NTL/mach_desc.h src/GetTime.c include/NTL/gmp_aux.h src/GetPID.c
 	# ntl.a is quite a misnomer, this is the actual idempotent build target
 	$(MAKE) -C src ntl.a
 	touch $@
