## ntl 10.5.0

=== debian/changelog ===
ntl (10.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 05 Jan 2018 15:47:20 +0100

ntl (10.5.0-1) experimental; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * New upstream release.
  * Bump dh compat to 10.
  * Bump std-ver to 4.0.1.
  * Bump d/watch to version 4.
  * Remove obsolete patch (MIPS and gcc 4.5)
  * Refresh the patch for typos.
  * Rewrote d/copyright since upstream license changed.
  * Follow the soname bump from 27 to 35.
  * Enable linking to gf2x (Closes: #872711).

  [ Ximin Luo ]
  * Don't set MAKEFLAGS. Together with the incompletely-duplicated dependency
    information in d/rules, it was causing subtle miscompilations which
    resulted in test failures on other packages (FLINT). See "Recursive Make
    considered harmful" for a description of this general problem.
  * Rewrite d/rules in modern debhelper style, removing the bad dependency
    information in the process.
  * Update to new Standards-Version.
    + Priority of libntl-dev changed from extra to optional.

 -- Ximin Luo <infinity0@debian.org>  Wed, 03 Jan 2018 12:33:38 +0100
