=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard R. Link <brlink@debian.org>, Lifeng Sun <lifongsun@gmail.com>, Felix Salfelder <felix@salfelder.org>, Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 9), libtool-bin, libgmp-dev
+Build-Depends: debhelper (>= 10), libtool-bin, libgmp-dev, libgf2x-dev
 Homepage: http://www.shoup.net/ntl/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/libntl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libntl.git
 
-Package: libntl27
+Package: libntl35
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -24,9 +24,9 @@
 
 Package: libntl-dev
 Section: libdevel
-Priority: extra
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libntl27 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libntl35 (= ${binary:Version})
 Description: Number Theory Library, development files
  NTL is a high-performance, portable C++ library providing
  data structures and algorithms for manipulating signed,
