=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall

%:
	dh $@

override_dh_auto_configure:
	cd src && ./configure \
		SHARED=on NATIVE=off \
		CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
		DEF_PREFIX='/usr' \
		NTL_GMP_LIP=on SHARED=on \
		NTL_GF2X_LIB=on \
		TUNE=generic

override_dh_auto_build:
	dh_auto_build -D src

override_dh_auto_install:
	dh_auto_install -D src

override_dh_auto_clean:
	dh_auto_clean -D src
	rm -f src/makefile include/NTL/config.h

override_dh_install:
	dh_install
	mkdir -p debian/libntl-dev/usr/share/doc/libntl-dev/
	mv debian/tmp/usr/share/doc/NTL debian/libntl-dev/usr/share/doc/libntl-dev/

override_dh_compress:
	dh_compress -X/NTL/
