=== debian/watch ===
version=4
http://www.shoup.net/ntl/download.html \
  ntl-(.*)\.tar\.gz
