## ntl 11.4.3

=== debian/changelog ===
ntl (11.4.3-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release (Closes: #864831).
  * Refresh packaging:
    - Bump dh compat to 11.
    - Bump std-ver to 4.2.0.
    - Use my debian.org mail address. 
    - Update dates in d/copyright. 
    - Point Vcs-* fields to salsa. 

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Julien Puydt ]
  * Remove Lifeng Sun from uploaders (MIA team request) (Closes: #925063).
  * Multiarchify with patch from Helmut Grohne (Closes: #941114).
  * Follow soname change.
  * Use secure uri in d/watch.
  * Update the Fix-typos patch.
  * Enable all hardening flags in d/rules.
  * Drop d/compat 11 and use debhelper-compat 12.
  * Bump std-ver to 4.4.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 10 Jan 2020 07:52:04 +0100
