=== debian/control ===
Source: ntl
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard R. Link <brlink@debian.org>,
           Felix Salfelder <felix@salfelder.org>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 12), libgf2x-dev, libgmp-dev, libtool-bin
Homepage: http://www.shoup.net/ntl/
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/libntl
Vcs-Git: https://salsa.debian.org/science-team/libntl.git

Package: libntl43
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Number Theory Library, shared library
 NTL is a high-performance, portable C++ library providing
 data structures and algorithms for manipulating signed,
 arbitrary length integers, and for vectors, matrices,
 and polynomials over the integers and over finite fields.
 .
 This package contains the NTL shared library.

Package: libntl-dev
Section: libdevel
Architecture: any
Depends: libntl43 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Number Theory Library, development files
 NTL is a high-performance, portable C++ library providing
 data structures and algorithms for manipulating signed,
 arbitrary length integers, and for vectors, matrices,
 and polynomials over the integers and over finite fields.
 .
 This package contains development files for NTL.
