=== debian/watch ===
version=4
https://www.shoup.net/ntl/download.html \
  ntl-(.*)\.tar\.gz
