## ntl 11.5.1

=== debian/changelog ===
ntl (11.5.1-1) unstable; urgency=medium

  * Bump standards-version to 4.6.0.
  * Bump debhelper compat to 13.
  * Declare d/rules doesn't require root.
  * New upstream release.
  * Forward the patch again.
  * Don't ship the .la file.
  * Follow upstream soname version.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 07 Sep 2021 07:43:40 +0200
