=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Bernhard R. Link <brlink@debian.org>,
            Felix Salfelder <felix@salfelder.org>,
            Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 12), libgf2x-dev, libgmp-dev, libtool-bin
+Build-Depends: debhelper-compat (= 13), libgf2x-dev, libgmp-dev, libtool-bin
 Homepage: http://www.shoup.net/ntl/
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/libntl
 Vcs-Git: https://salsa.debian.org/science-team/libntl.git
 
-Package: libntl43
+Package: libntl44
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -28,7 +29,7 @@
 Package: libntl-dev
 Section: libdevel
 Architecture: any
-Depends: libntl43 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libntl44 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Number Theory Library, development files
  NTL is a high-performance, portable C++ library providing
  data structures and algorithms for manipulating signed,
