=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+include /usr/share/dpkg/architecture.mk
 
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
@@ -17,6 +18,7 @@
 		SHARED=on NATIVE=off \
 		CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
 		DEF_PREFIX='/usr' \
+		LIBDIR='$$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)' \
 		NTL_GMP_LIP=on SHARED=on \
 		NTL_GF2X_LIB=on \
 		TUNE=generic
@@ -26,6 +28,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -D src
+	find debian/ -name "*.la" -delete
 
 override_dh_auto_clean:
 	dh_auto_clean -D src
